classification
Title: Use specific asserts in datetime tests
Type: enhancement Stage: resolved
Components: Tests Versions: Python 3.3, Python 3.4, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: belopolsky, ezio.melotti, python-dev, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2013-11-15 09:53 by serhiy.storchaka, last changed 2013-11-17 12:47 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
test_datetime_asserts.patch serhiy.storchaka, 2013-11-15 09:53 review
Messages (3)
msg202930 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-11-15 09:53
The proposed patch makes the datetime module tests use more specific asserts. This will provide more useful failure report.
msg203101 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-11-16 22:58
LGTM (I left a comment on rietveld).
msg203139 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-11-17 11:25
New changeset bc67e8d39164 by Serhiy Storchaka in branch '3.3':
Issue #19605: Use specific asserts in datetime tests
http://hg.python.org/cpython/rev/bc67e8d39164

New changeset 0b7a519cb58f by Serhiy Storchaka in branch 'default':
Issue #19605: Use specific asserts in datetime tests
http://hg.python.org/cpython/rev/0b7a519cb58f

New changeset 648be7ea8b1d by Serhiy Storchaka in branch '2.7':
Issue #19605: Use specific asserts in datetime tests
http://hg.python.org/cpython/rev/648be7ea8b1d
History
Date User Action Args
2013-11-17 12:47:56serhiy.storchakasetstatus: open -> closed
assignee: serhiy.storchaka
resolution: fixed
stage: patch review -> resolved
2013-11-17 11:25:07python-devsetnosy: + python-dev
messages: + msg203139
2013-11-16 22:58:02ezio.melottisetnosy: + ezio.melotti
messages: + msg203101
2013-11-15 09:57:58serhiy.storchakalinkissue16510 dependencies
2013-11-15 09:53:35serhiy.storchakacreate